#include<stdio.h>
#include<stdlib.h> 
#include<string.h>

int main(){

    char cadena1[50];
    char cadena2[50];
    char cadena3[50];

    printf("\nIntroduce la primera cadena: ");
    fflush(stdin);
    scanf("%s", cadena1);

    printf("\nIntroduce la segunda cadena: ");
    fflush(stdin);
    gets(cadena2);

    printf("\nintroduce la tercera cadena: ");
    fflush(stdin);
    scanf("%[^\n]", cadena3);

    printf("\n-----------");
    printf("\nCadena 1: %s", cadena1);
    printf("\nCadena 2: %s", cadena2);
    printf("\nCadena 3: %s", cadena3);

    printf("\n");


}